POST
Midjourney Shorten

Authorizations

Authorization
string
header
required

在请求头中传入:Authorization: Bearer sk-...

Body

application/json

Midjourney 兼容请求。提交类接口返回任务 ID,随后用任务查询接口获取最终结果。

prompt
string

提示词。比例、风格、质量等 Midjourney 参数写入 prompt,例如 --ar 16:9。

Example:

"a cinematic robot portrait"

taskId
string

已有任务 ID。放大、变体、局部编辑、视频延展和查询任务时传入。

Example:

"task_xxx"

action
string

基于已有任务的操作类型,例如 UPSCALE、VARIATION、REROLL。

Example:

"UPSCALE"

customId
string

自定义动作 ID。按返回按钮或动作标识继续提交时传入。

Example:

"MJ::JOB::upsample::1::abcd"

index
integer

四宫格中的图片序号,一般为 1 到 4。

Example:

1

state
string

任务筛选状态。按条件查询任务列表时传入。

content
string

简化操作内容,例如 U1 task_xxx。

base64Array
string[]

图片 base64 数组。describe、blend 和图片上传类接口会读取该字段。

maskBase64
string

局部编辑遮罩图 base64,用来标记需要重绘的区域。

notifyHook
string<uri>

回调地址。任务状态变化时可接收通知,是否生效以接口说明为准。

Response

成功响应

The response is of type object.